export abstract class DateFormat {
    formatDate(date: Date): string {
        if (date.toString() == 'Invalid Date')
            return ''

        return new Intl.DateTimeFormat("default", {
            year: 'numeric',
            month: '2-digit',
            day: '2-digit'
        }).format(date)
    }

    formatTime(time: Date): string {
        if (time.toString() == 'Invalid Date')
            return ''

        return new Intl.DateTimeFormat("default", {
            hour: '2-digit',
            minute: '2-digit',
            second: '2-digit',
            hour12: false,
        }).format(time)
    }
}