export class ArgumentItem {
    private $_argument: string
    private $_type: ArgumentType
    private $_positiveComplete: boolean | undefined = undefined
    private $_positiveFall: boolean | undefined = undefined

    constructor(argType: ArgumentType, argument: string) {
        this.$_type = argType;
        this.$_argument = argument;
    }
    get argument(): string {
        return this.$_argument;
    }
    get type(): ArgumentType {
        return this.$_type;
    }

    get positiveComplete(): boolean | undefined {
        return this.$_positiveComplete;
    }

    set positiveComplete(value: boolean | undefined) {
        this.$_positiveComplete = value;
    }

    get positiveFall(): boolean | undefined {
        return this.$_positiveFall;
    }

    set positiveFall(value: boolean | undefined) {
        this.$_positiveFall = value;
    }
}

export enum ArgumentType {
    Gender='Gender',
    BirthYear='BirthYear',
    LoanPeriod='LoanPeriod',
    NumberAts='NumberAts',
}
